### Name: EquationsModelling
### Title: Equations Modelling
### Aliases: EquationsModelling fSYSTEM fSYSTEM-class systemFit nlsystemFit
###   SUR predict.fSYSTEM print.fSYSTEM summary.fSYSTEM coef.fSYSTEM
###   fitted.fSYSTEM residuals.fSYSTEM systemfitBuiltin
### Keywords: models

### ** Examples

## SOURCE("fMultivar.3A-EquationsModelling")
## Not run: 
##D ## Note, "systemfit" is required:
##D    SYSTEMFIT = require(systemfit)
##D    if (SYSTEMFIT) {
##D    
##D ## Examples from the 'systemfit' Package:
##D    data(kmenta)
##D    
##D ## OLS Estimations:   
##D    formulas = list(demand = q ~ p + d, supply = q ~ p + f + a )
##D    FITOLS = systemFit(formulas, data = kmenta)
##D    FITOLS
##D    
##D ## OLS Estimation with 2 Restrictions:
##D    Rrestr <- matrix(0, 2, 7)
##D    qrestr <- matrix(0, 2, 1)
##D    Rrestr[1,3] =  1
##D    Rrestr[1,7] = -1
##D    Rrestr[2,2] = -1
##D    Rrestr[2,5] =  1
##D    qrestr[2,1] =  0.5
##D    FITOLS2 = systemFit(formulas, data = kmenta, R.restr = Rrestr, 
##D      q.restr = qrestr)
##D    FITOLS2
##D    
##D ## Iterated SUR Estimation:
##D    FITSUR = systemFit(formulas, data = kmenta, method = "SUR", maxit = 100)
##D    FITSUR
##D    # Coefficients, Fitted Values, Residuals and Variance-Covariance Matrix:
##D    # Call by Method:
##D    coef(FITSUR)
##D    fitted(FITSUR)
##D    residuals(FITSUR)
##D 
##D ## 2SLS Estimation:
##D    inst = ~ d + f + a
##D    FIT2SLS = systemFit(formulas, data = kmenta, method = "2SLS", inst = inst)
##D    FIT2SLS
##D    # Coefficients, Fitted Values, Residuals and Variance-Covariance Matrix:
##D    # Call by Slot:
##D    FIT2SLS@fit$coef
##D    FIT2SLS@fitted.values
##D    FIT2SLS@residuals
##D 
##D ## 2SLS Estimation with Different Instruments in Each Equation:
##D    insts = list( ~ d + f, ~ d + f + a)
##D    FIT2SLS2 = systemFit(formulas, data = kmenta, method = "2SLS", inst = insts)
##D    FIT2SLS2
##D 
##D ## 3SLS Estimation with GMM-3SLS Formula:
##D    instruments = ~ d + f + a
##D    FIT3SLS = systemFit(formulas, data = kmenta, method = "3SLS", 
##D      inst = instruments, formula3sls = "GMM")
##D    FIT3SLS
##D    
##D    } # if (SYSTEMFIT)
##D    
##D ## SEE ALSO:
##D    # Demo File: xmpEqnsGrunfeld.R
##D    # Estimation of Grunfeld's Model Data with OLS and SUR
## End(Not run)



